com.tibbo.aggregate.common.context

## Class FilteringEntityReference

- java.lang.Object
- - com.tibbo.aggregate.common.context.EntityReference
  - - com.tibbo.aggregate.common.context.FilteringEntityReference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EntityReference>

      public class FilteringEntityReference
      extends EntityReference

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `filterExpression`

    - ### Fields inherited from class com.tibbo.aggregate.common.context.EntityReference

      `context, entity, serverID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteringEntityReference(java.lang.String context, java.lang.String entity, java.lang.String filterExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getFilterExpression()`
    `int` | `hashCode()`
    `boolean` | `pass(Event ev, ContextManager<Context<?>> contextManager, CallerController caller)`
    `void` | `setFilterExpression(java.lang.String filterExpression)`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.EntityReference

      `clone, compareTo, getContext, getEntity, getProperty, getServerID, setContext, setEntity, setProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filterExpression

          protected java.lang.String filterExpression

  - ### Constructor Detail

    - #### FilteringEntityReference

          public FilteringEntityReference(java.lang.String context,
                                          java.lang.String entity,
                                          java.lang.String filterExpression)

  - ### Method Detail

    - #### setFilterExpression

          public void setFilterExpression(java.lang.String filterExpression)

    - #### getFilterExpression

          public java.lang.String getFilterExpression()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `EntityReference`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `EntityReference`

    - #### pass

          public boolean pass(Event ev,
                              ContextManager<Context<?>> contextManager,
                              CallerController caller)